From: jarmak at 2i dot pl
Operating system: RedHat 9
PHP version: 4.3.3
PHP Bug Type: Compile Failure
Bug description: Undefined reference to `php_check_open_basedir_ex' in last snapshot

Description:
------------
I tried to compile PHP (php-4.3.3 snapshot: 200309120730) + Apache2
(httpd-2.0.47) + OpenSSL (openssl-0.9.7b).

I compiled and installed OpenSSL and Apache2 from sources - It was
working.

I had started compiling PHP:

../configure \
--prefix=/usr/local/php \
--with-apxs2=/usr/local/apache2/bin/apxs \
--with-zlib \
--with-pgsql=/usr/local/pgsql \
--without-mysql \
--with-config-file-path=/usr/local/apache2/conf

result: no errors

when I made 'make' I got:

/home/jarmak/installs/php/php4-200309120730/ext/standard/var_unserializer.c:
In function `php_var_unserialize':
/home/jarmak/installs/php/php4-200309120730/ext/standard/var_unserializer.c:308:
warning: comparison is always false due to limited range of data type
ext/standard/filestat.lo(.text+0xdc1): In function `php_stat':
/home/jarmak/installs/php/php4-200309120730/ext/standard/filestat.c:575:
undefined reference to `php_check_open_basedir_ex'
collect2: ld returned 1 exit status
make: *** [sapi/cli/php] Error 1

How can I fix this error?

In bug [url]http://bugs.php.net/bug.php?id=23792[/url] I found similar bug, but It
was fixed in new snapshots of the sources ... but I not in 200309120730.


--
Edit bug report at [url]http://bugs.php.net/?id=25520&edit=1[/url]
--
Try a CVS snapshot (php4): [url]http://bugs.php.net/fix.php?id=25520&r=trysnapshot4[/url]
Try a CVS snapshot (php5): [url]http://bugs.php.net/fix.php?id=25520&r=trysnapshot5[/url]
Fixed in CVS: [url]http://bugs.php.net/fix.php?id=25520&r=fixedcvs[/url]
Fixed in release: [url]http://bugs.php.net/fix.php?id=25520&r=alreadyfixed[/url]
Need backtrace: [url]http://bugs.php.net/fix.php?id=25520&r=needtrace[/url]
Try newer version: [url]http://bugs.php.net/fix.php?id=25520&r=oldversion[/url]
Not developer issue: [url]http://bugs.php.net/fix.php?id=25520&r=support[/url]
Expected behavior: [url]http://bugs.php.net/fix.php?id=25520&r=notwrong[/url]
Not enough info: [url]http://bugs.php.net/fix.php?id=25520&r=notenoughinfo[/url]
Submitted twice: [url]http://bugs.php.net/fix.php?id=25520&r=submittedtwice[/url]
register_globals: [url]http://bugs.php.net/fix.php?id=25520&r=globals[/url]
PHP 3 support discontinued: [url]http://bugs.php.net/fix.php?id=25520&r=php3[/url]
Daylight Savings: [url]http://bugs.php.net/fix.php?id=25520&r=dst[/url]
IIS Stability: [url]http://bugs.php.net/fix.php?id=25520&r=isapi[/url]
Install GNU Sed: [url]http://bugs.php.net/fix.php?id=25520&r=gnused[/url]